Summary:        Create or remove directory trees
Name:           perl-File-Path
Version:        2.18
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-Path
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/File-Path-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(Carp) perl(warnings)
BuildRequires:  perl(Cwd) perl(File::Spec) perl(File::Basename) perl(File::Spec::Functions) 
BuildRequires:  perl(vars) perl(Exporter) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Test::More) >= 0.44
BuildRequires:  perl(Config) perl(Errno) perl(Fcntl) perl(lib) perl(SelectSaver)
Requires:       perl(Carp) perl(:MODULE_COMPAT_%perl_version)

BuildArch:      noarch

%description
This package makes it easy to create directories of arbitrary depth and to delete 
entire directory subtrees from the file system.

%prep
%autosetup -n File-Path-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.18-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Guodong <gordonwwang@tencent.com> - 2.18-1
- package init.
